Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07992 Graphics Minor Always Jun 1, 2021, 00:37 Jun 8, 2021, 04:57
Tester Simbabbad View Status Public Platform MAME (Official Binary)
Assigned To galibert Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver junofrst.cpp
Version 0.230 Fixed in Version 0.233 Build 64-bit
Fixed in Git Commit 66d04a6 Github Pull Request #
Summary 07992: junofrst: No screen colour change during key actions
Description Theoretically, in Juno First:

- The screen turns green when you shoot a bonus (a ball with bright spots)
- The screen turns red if you pick up the astronaut who escapes from the bonus ball
- The screen turns blue when you die

On 0.230 and higher (I tested it on stand alone 0.230 MAME and on the latest "MAME current " version of RetroArch), the screen colour change does not occur, nothing special happens. The game otherwise runs normally.

I downloaded older 0.187 version to test, and the screen colour change does occur normally.
Steps To Reproduce Either shoot the bonus ball, pick up the astronaut, or get shot: if the screen doesn't change colour, the bug occurred.
Additional Information Traced to:
https://github.com/mamedev/mame/commit/1de6fabe9b2d6838249b56c1e093cc7be1ff565a
May 9, 2019
Github Commit
Flags
Regression Version 0.210
Affected Sets / Systems junofrst
Attached Files
 
Relationships
related to 03799Confirmed  junofrst: Credit during demonstration play causes graphic error 
Notes
2
User avatar
No.18915
jkburks
Tester
Jun 1, 2021, 01:56
Regression version appears to be 0.210
User avatar
No.18937
Robbbert
Developer
Jun 7, 2021, 15:27
Does this fix it? https://github.com/mamedev/mame/commit/66d04a61ca986b7c9a6cc3c5202ae850d9d52711